#!/bin/bash
set -eux

function main() {
    upgradeSystem

    mkdir -p /usr/share/man/man1
    apt -qqy install openjdk-17-jre-headless leiningen curl
    
    # shadow-cljs
    npm install -g --save-dev shadow-cljs

    # download kubeconform & graalvm
    curl -Lo /tmp/kubeconform-v0.6.3.tar.gz https://github.com/yannh/kubeconform/releases/download/v0.6.3/kubeconform-linux-amd64.tar.gz
    
    # checksum
    cd /tmp
    sha256sum --check CHECKSUMS

    # install kubeconform
    tar -xf /tmp/kubeconform-v0.6.3.tar.gz
    cp kubeconform /usr/local/bin

    #install pyb
    apt -qqy install python3 python3-pip git;
    pip3 install pybuilder 'ddadevops>=4.2.0' deprecation dda-python-terraform boto3 pyyaml inflection --break-system-packages;

    cleanupDocker
}

source /tmp/install_functions.sh
main